Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/26633/?format=api
{ "ob_id": 26633, "uuid": "1dd4c30a78d84e628cd8097bae3148fd", "title": "ESA Greenland Ice Sheet Climate Change Initiative (Greenland_Ice_Sheet_cci): Ice Velocity time series for the Storstroemmen Glacier for 2015-2017 from Sentinel-1 data, v1.1", "abstract": "This dataset contains a time series of ice velocities for the Storstromemmen glacier in Greenland, derived from Sentinel-1 SAR (Synthetic Aperture Radar) data acquired between 24/1/2015 and 22/03/2017. It has been produced by the ESA Greenland Ice Sheet Climate Change Initiative (CCI) project.\r\n\r\nData files are delivered in NetCDF format at 250m grid spacing in North Polar Stereographic projection (EPSG: 3413). The horizontal velocity components are provided in true meters per day, towards the EASTING(x) and NORTHING(y) directions of the grid.", "keywords": "Greenland, Ice sheet, CCI, ESA", "publicationState": "published", "dataPublishedTime": "2019-02-04T17:32:34", "doiPublishedTime": null, "updateFrequency": "notPlanned", "status": "completed", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/26845/?format=api", "dataPath": "/neodc/esacci/ice_sheets_greenland/data/greenland_ice_velocity/greenland_iv_250m_s1_storstroemmen/v1.1/", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 132623486, "numberOfFiles": 6, "fileFormat": "Data files are delivered in NetCDF format at 250m grid spacing in North Polar Stereographic projection (EPSG: 3413). The horizontal velocity components are provided in true meters per day, towards EASTING(x) and NORTHING(y) direction of the grid." }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/7170/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/1650/?format=api", "nonGeographicFlag": false, "phenomena": [ "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/6023/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/11952/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/11953/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/12066/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/13228/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/13229/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/13230/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/13232/?format=api" ], "dataLineage": "Data were processed by the ESA CCI Greenland Ice Sheet project team and supplied to CEDA in the context of the ESA CCI Open Data Portal Project.", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/14317/?format=api" ], "observationcollection_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/14316/?format=api" ], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/111931/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/111927/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/111928/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/111933/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/111929/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/111930/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/111932/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/111926/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/112740/?format=api" ], "procedureAcquisition": null, "procedureCompositeProcess": "https://api.catalogue.ceda.ac.uk/api/v2/composites/26833/?format=api", "procedureComputation": null, "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2553/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "public", "accessRoles": null, "label": "public: None group", "licenceURL": "https://artefacts.ceda.ac.uk/licences/specific_licences/esacci_icesheets_greenland_terms_and_conditions.pdf", "licenceClassifications": "any" } ], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" }, { "ob_id": 1140, "name": "ESACCI" } ] }